/**********************************************************************
*   Copyright	: (C) 2006 Video Surveillance(China) Co. Ltd. 
*   Source File  : appbase.h
*   Product	  : VS
*   Component	: public
*   Version	  : 1.0.0.1
*   Author	   : Lance Li
	Date		 : 2007-5-29 11:11:18
*   Description  : class define for app
*   Modification :
*   ------------------------------------------------------------------
*   No.	Date	 Author	  Comment
*   ------------------------------------------------------------------
*   1)  May/29/2007 Lance Li	new
***********************************************************************/
#ifndef APPBASE_H
#define APPBASE_H

typedef enum
{
	APP_STATUS_UNUSED,
	APP_STATUS_INIT,
	APP_STATUS_RUN
}AppStatus;

class CAppBase
{
public:
	virtual bool Initialize(int argc, char **argv)=0;
	virtual bool Start(void)=0;
	virtual bool Stop(void)=0;
	virtual bool Run(void)=0;
	virtual AppStatus Status(void)=0;

	virtual ~CAppBase(){};

protected:
	AppStatus m_Status; // 0-unused, 1-init, 2-run
};

#endif // APPBASE_H

